Current Release

This is the latest production release of Prism for AL.

Supported Versions of Business Central

Prism for AL supports Business Central versions 15 and higher.

We are considering support for Business Central 14 limited to exclude source code of the base application. Please let us know if support for Business Central 14 is critical for you.

System Requirements

Officially, Prism for AL supports Windows 10. Additionally, customers have reported that Prism for AL also runs on older operating systems such as Windows Server 2012, when Microsoft's Segoe MDL2 font (SEGMDL2.TTF) is installed. (Due to Microsoft's licensing, we are not allowed to distribute this font.)

Currently, we build Prism for AL for 64-bit processers, only. If you require a 32-bit version, then please let us know.

Previous Release